Subject: Past due invoice
From: "Michael B" <[email-masked]>
To: "Kim Butland" <[email-masked]>
Date: Wed, 8 Jul 2015 16:26:53 -0400

Hello Kim.
I was going through some of our customer accounts that had unpaid balances and actually found that there was a balance owed for THE LAKEWOODS II & III.  We were having some problems with some of the reporting and invoicing functions so it is possible they never received an invoice.  I have attached a copy of the invoice.  I appreciate it if you could follow up on this for me and let me know the status of the payment.  Let me know what you find out.
Thank you,
Michael B
LLPS